Redmine - Defect #5366

Missing columns after upgrade from 0.8.4 to 0.9.3
2010-04-21 17:39 - Curtis Hall

Status: Closed Start date: 2010-04-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 0.9.3

Description

| followed the instructions as listed here (http://www.redmine.org/wiki/redmine/RedmineUpgrade). | also did 'rake db:migrate
RAILS_ENV=production'

ActiveRecord::StatementInvalid (Mysgl::Error: Unknown column 'projects.projects_count' in 'field 1
ist': SELECT "news . id" AS t0_r0, "news . project_id' AS tO_rl, "news . title’ AS t0_r2, "news .’
summary  AS t0_r3, "news . description® AS tO_r4, "news . author_id® AS tO_r5, “news . created_on’
AS t0_r6, "news . comments_count® AS tO_r7, “users . id" AS tl_r0, “users . login® AS tl_rl, “use
rs' . hashed_password™ AS tl_r2, “users . firstname ™ AS tl_r3, “users . lastname’ AS tl_r4, ‘“users’
."mail’ AS tl_r5, ‘users’ . mail_notification® AS tl_r6, “users . admin’ AS tl_r7, ‘users . status’
AS tl_r8, ‘users . last_login_on® AS tl_r9, ‘users . language’ AS tl_r10, ‘users . auth_source_id

AS tl_rll, ‘“users . created_on® AS tl_rl2, “users . updated_on’ AS tl_rl3, ‘users . type AS tl_
rld, “projects’ . id’ AS t2_r0, “projects’ . name’ AS t2_rl, “projects’ . description® AS t2_r2, "pro
jects’ . homepage® AS t2_r3, ‘projects’ . is_public’ AS t2_r4, “projects . parent_id® AS t2_r5, “pro
jects’ . projects_count® AS t2_r6, "projects’ . created_on® AS t2_r7, ‘projects . updated_on’ AS t2_
r8, “projects’ . identifier’ AS t2_r9, ‘projects . status® AS t2_rl0 FROM "news  LEFT OUTER JOIN
users’ ON “users .id = "news .author_id AND (‘users . type = 'User' OR “users . type = 'Anonymo
usUser' ) LEFT OUTER JOIN ‘projects’ ON ‘projects’ .id = "news .project_id WHERE (((projects.statu
s=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='news')) AND (1
=0 OR projects.is_public = 1))) ORDER BY news.created_on DESC LIMIT 5):

and

ActiveRecord::StatementInvalid (Mysgl::Error: Unknown column 'members.role_id' in 'field list': SE
LECT "members . id® AS t0_r0, "members . user_id" AS tO_rl, "members’ . project_id’ AS t0_r2, "memb
ers’ . role_id" AS t0_r3, "members . created_on’ AS t0_r4, "members . mail_notification® AS tO_r5,

‘projects’. id’ AS tl_r0, ‘projects’ . name’ AS tl_rl, ‘projects . description’ AS tl_r2, ‘projects
‘. homepage® AS tl_r3, “projects’ . is_public® AS tl_r4, “projects . parent_id' AS tl_r5, “projects
‘. projects_count® AS tl_r6, “projects’ . created_on’ AS tl_r7, ‘projects . updated_on® AS tl_r8,
projects’ . identifier’ AS tl_r9, ‘projects . status® AS tl_rl10, “roles . id’ AS t2_r0, "roles . na
me® AS t2_rl, “roles . position’ AS t2_r2, ‘roles’ . assignable’ AS t2_r3, ‘roles . builtin® AS t2_
r4, “roles . permissions’ AS t2_r5 FROM “members”™ LEFT OUTER JOIN "projects’ ON "“projects .id = °
members’ .project_id LEFT OUTER JOIN "member_roles’ ON (‘members’ . id’ = "member_roles . member_id
") LEFT OUTER JOIN ‘roles’ ON (' roles . id' = "member_roles . role_id') WHERE ( members .user_id
= 3 AND (projects.status=1)) ORDER BY projects.name) :

| manually created a column for project_count. Shouldn't this have been done during the upgrade process? Did | miss a step? What
should the column information be for these missing columns?

History

#1 - 2010-04-21 17:43 - Curtis Hall

- Status changed from New to Resolved
Duplicate of #5092. | thought simply restarting apache would restart the passenger module, it did not.
#2 - 2010-04-21 18:39 - Felix Schéfer

Restarting apache restarts passenger, it might be that you didn't really stop all apache processes. We should probably update the upgrade guide to
include mentions about the plugins, could you do that regarding your experience?
#3 - 2010-04-27 18:27 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.
